package com.gingersoft.gsa.cloud.table.app.payment.bean;

/**
 * 作者：ELEGANT_BIN
 * 版本：1.6.0
 * 创建日期：2019/6/13
 * 修订历史：2019/6/13
 * 描述：
 */
public class RefundRequest {

    private String EVENT_NAME;
    private String PAYMENT_APP_ID;
    private String TXN_ID;
    private double TXN_AMT;
    private String QRC_VALUE;
    private boolean PRINT_SS;


    public String getQRC_VALUE() {
        return QRC_VALUE;
    }

    public void setQRC_VALUE(String QRC_VALUE) {
        this.QRC_VALUE = QRC_VALUE;
    }

    public boolean isPRINT_SS() {
        return PRINT_SS;
    }

    public void setPRINT_SS(boolean PRINT_SS) {
        this.PRINT_SS = PRINT_SS;
    }

    public String getEVENT_NAME() {
        return EVENT_NAME;
    }

    public void setEVENT_NAME(String EVENT_NAME) {
        this.EVENT_NAME = EVENT_NAME;
    }

    public String getPAYMENT_APP_ID() {
        return PAYMENT_APP_ID;
    }

    public void setPAYMENT_APP_ID(String PAYMENT_APP_ID) {
        this.PAYMENT_APP_ID = PAYMENT_APP_ID;
    }

    public String getTXN_ID() {
        return TXN_ID;
    }

    public void setTXN_ID(String TXN_ID) {
        this.TXN_ID = TXN_ID;
    }

    public double getTXN_AMT() {
        return TXN_AMT;
    }

    public void setTXN_AMT(double TXN_AMT) {
        this.TXN_AMT = TXN_AMT;
    }

    @Override
    public String toString() {
        return "RefundRequest{" +
                "EVENT_NAME='" + EVENT_NAME + '\'' +
                ", PAYMENT_APP_ID='" + PAYMENT_APP_ID + '\'' +
                ", TXN_ID='" + TXN_ID + '\'' +
                ", TXN_AMT=" + TXN_AMT +
                ", QRC_VALUE='" + QRC_VALUE + '\'' +
                ", PRINT_SS=" + PRINT_SS +
                '}';
    }
}
